javax.ws.rs

## Class ForbiddenException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.ws.rs.WebApplicationException
        - - javax.ws.rs.ClientErrorException
          - - javax.ws.rs.ForbiddenException

- All Implemented Interfaces:
    Serializable

      public class ForbiddenException
      extends ClientErrorException

  A runtime exception indicating that an access to a resource requested by a client has been `forbidden` by the server.
  Since:
    2.0
  Author:
    Marek Potociar
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForbiddenException()` Construct a new "forbidden" exception.
    `ForbiddenException(Response response)` Construct a new "forbidden" exception.
    `ForbiddenException(Response response, Throwable cause)` Construct a new "forbidden" exception.
    `ForbiddenException(String message)` Construct a new "forbidden" exception.
    `ForbiddenException(String message, Response response)` Construct a new "forbidden" exception.
    `ForbiddenException(String message, Response response, Throwable cause)` Construct a new "forbidden" exception.
    `ForbiddenException(String message, Throwable cause)` Construct a new "forbidden" exception.
    `ForbiddenException(Throwable cause)` Construct a new "forbidden" exception.

  - ### Method Summary

    - ### Methods inherited from class javax.ws.rs.WebApplicationException

      `getResponse`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ForbiddenException

          public ForbiddenException()

      Construct a new "forbidden" exception.

    - #### ForbiddenException

          public ForbiddenException(String message)

      Construct a new "forbidden" exception.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).

    - #### ForbiddenException

          public ForbiddenException(Response response)

      Construct a new "forbidden" exception.
      Parameters:
        `response` - error response.
      Throws:
        `IllegalArgumentException` - in case the status code set in the response is not HTTP `403`.

    - #### ForbiddenException

          public ForbiddenException(String message,
                            Response response)

      Construct a new "forbidden" exception.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `response` - error response.
      Throws:
        `IllegalArgumentException` - in case the status code set in the response is not HTTP `403`.

    - #### ForbiddenException

          public ForbiddenException(Throwable cause)

      Construct a new "forbidden" exception.
      Parameters:
        `cause` - the underlying cause of the exception.

    - #### ForbiddenException

          public ForbiddenException(String message,
                            Throwable cause)

      Construct a new "forbidden" exception.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `cause` - the underlying cause of the exception.

    - #### ForbiddenException

          public ForbiddenException(Response response,
                            Throwable cause)

      Construct a new "forbidden" exception.
      Parameters:
        `response` - error response.
        `cause` - the underlying cause of the exception.
      Throws:
        `IllegalArgumentException` - in case the status code set in the response is not HTTP `403`.

    - #### ForbiddenException

          public ForbiddenException(String message,
                            Response response,
                            Throwable cause)

      Construct a new "forbidden" exception.
      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `response` - error response.
        `cause` - the underlying cause of the exception.
      Throws:
        `IllegalArgumentException` - in case the status code set in the response is not HTTP `403`.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.